The Open Group Base Specifications Issue 7
IEEE Std 1003.1, 2013 Edition
Copyright © 2001-2013 The IEEE and The Open Group

#### NAME

> wcspbrk - scan a wide-character string for a wide-character code

#### SYNOPSIS

> ``#include <wchar.h>
> wchar_t *wcspbrk(const wchar_t *`ws1`, const wchar_t *`ws2`);
> ``

#### DESCRIPTION

> [CX] The functionality described on this reference page is aligned with the ISO C standard. Any conflict between the requirements described here and the ISO C standard is unintentional. This volume of POSIX.1-2008 defers to the ISO C standard.

> The wcspbrk() function shall locate the first occurrence in the wide-character string pointed to by ws1 of any wide-character code from the wide-character string pointed to by ws2.

#### RETURN VALUE

> Upon successful completion, wcspbrk() shall return a pointer to the wide-character code or a null pointer if no wide-character code from ws2 occurs in ws1.

#### ERRORS

> No errors are defined.

The following sections are informative.

#### EXAMPLES

> None.

#### APPLICATION USAGE

> None.

#### RATIONALE

> None.

#### FUTURE DIRECTIONS

> None.

#### SEE ALSO

> wcschr, wcsrchr

> XBD <wchar.h>

#### CHANGE HISTORY

> First released in Issue 4. Derived from the MSE working draft.

End of informative text.

return to top of page

UNIX ® is a registered Trademark of The Open Group.
POSIX ® is a registered Trademark of The IEEE.
Copyright © 2001-2013 The IEEE and The Open Group, All Rights Reserved
[ Main Index | XBD | XSH | XCU | XRAT ]